#!/usr/bin/env bash

. /opt/functions.sh

. /tmp/answerfile

# include diskspreparation.sh
beginLogEntry "run disks preparation"
. /opt/diskspreparation.sh
finishLogEntry "done"

if [ -f /opt/runinstaller.sh ];
then
  . /opt/runinstaller.sh
fi

beginLogEntry "install fstab in target"
cp /tmp/fstab.local /target/etc/fstab
finishLogEntry "done"

beginLogEntry "configure ssh in target"
sed -i -e 's/^#PermitRootLogin.*/PermitRootLogin prohibit-password/g' /target/etc/ssh/sshd_config
sed -i -e 's/^#AuthorizedKeysFile/AuthorizedKeysFile/g' /target/etc/ssh/sshd_config
sed -i -e 's/^\(AuthorizedKeysFile.*\)$/\1 \/etc\/ssh\/authorized_keys/g' /target/etc/ssh/sshd_config 
finishLogEntry "done"

beginLogEntry "install ssh key in target"
cp /opt/ansible.pub /target/etc/ssh/authorized_keys
chmod 644 /target/etc/ssh/authorized_keys
finishLogEntry "done"

